Subject: bug#17043: 24.3.50; xft isn't found on OS X 10.9.2 (Macports)

From: Glenn Morris <[email-masked]>
Date: Tue, 25 Mar 2014 11:57:36 -0400

Joe Corneli wrote:

> In file included from /opt/local/include/X11/Xft/Xft.h:39:
> /opt/X11/include/ft2build.h:56:10: fatal error: 'freetype/config/ftheader.h' file not found

It looks to me like the /opt/local version is mistakenly including an
/opt/X11 version; but I'm not familiar with MacPorts.

> The *possible* Emacs feature request: Shouldn't it be able to detect
> that it's being built against MacPorts, and set the relevant flags
> automatically?

I think this is outside the scope of the Emacs configure script.
Perhaps there is a MacPorts tool to set up the environment for building.